﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Terms.aspx.cs" Inherits="OpenEnvironment.Terms" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h1>Terms and Conditions</h1>
    <div class="smallnote">(Last updated 5/5/2016)</div>
    <div>
        Please read these Terms of Service ("Terms") carefully before using the Open Waters website ("Service", "Website") located at <asp:Label ID="lblPubSite" runat="server"></asp:Label> 
        operated by <asp:Label ID="lblHost" runat="server"></asp:Label> ("Host", "we", "us"). By using the Service you agree to be bound by these Terms. If you disagree with any 
        part of the Terms then you may not access the Service.
    </div>
    <div>
        <h3>Highlights</h3>
        <ul>
            <li>No warranties are made by the Host; the Host is not liable for your activities connected with the Website.</li>
            <li>By registering, you attest that you are providing true, accurate, and current information about yourself and your WQX Organization affiliations.</li>
            <li>We respect your privacy and do not sell or disclose your personal information or data unless required by law.</li>
            <li>Under certain conditions, the Host can terminate your Open Waters account without notice.</li>
        </ul>
    </div>
    <div>
        <h3>Disclaimer of Warranty and Liability</h3>
        The information, software, products, and services available on the Website is provided to you "As Is" and without warranty. The Host and its subsidiaries, affiliates, and employees 
        hereby disclaim all warranties with regard to such information, software, products, and services, including, without limitation, all implied warranties and conditions 
        of merchantability, fitness for a particular purpose, title and noninfringement. The Host and its subsidiaries, affiliates, and employees, make no warranty that 
        (a) the Service will meet your requirements; (b) the Service will be uninterrupted, timely, secure or error-free; (c) the results that may be obtained from the use of the Service will be
        accurate or reliable; (d) the quality of any products, services, information or other material obtained by you through the Service will meet your expectations; and 
        (e) any errors in the Website will be corrected.
        <br /><br />
        You agree to indemnify and hold the Host and its subsidiaries, affiliates, and employees harmless from any claim or demand, including reasonable attorneys' fees, made by any third party 
        due to or arising out of content you submit, post, transmit or otherwise seek to make available through the Website, your use of the Website, your connection to the Website, 
        your violation of the Terms, or your violation of any rights of another person or entity.
    </div>
    <div>
        <h3>Registering and EPA-WQX Affiliation</h3>
        To use the services available on the Website, you must complete the membership registration form and associate with an EPA-WQX Organization. You agree to: (a) provide true, accurate, 
        current and complete information about yourself as prompted by the Site’s registration form ("User Data") and (b) maintain and promptly update the User Data to keep it accurate and current. 
        If you provide any information that is inaccurate or not current, or the Host has reasonable grounds to suspect that such information is inaccurate or not current, the Host has the 
        right to suspend or terminate your account and refuse any and all current or future use of the Website. In consideration of your use of the Website, you represent that you are of legal 
        age to form a binding contract and are not a person barred from receiving services under the laws of any applicable jurisdiction. You also agree to only request association 
        with WQX Organizations to which you have a valid association.
    </div>
    <div>
        <h3>Privacy Policy</h3>
        We respect your right to privacy and share your concern about the security of any data you may submit to the Host via the Open Waters website. Your privacy is critically important to us. 
        <br /><br />
        We have a few fundamental principles:
        <ul>
            <li>We don't share your personal information with anyone except to comply with the law or protect our rights.</li>
            <li>We treat your personal information with the highest regard to privacy and security.</li>
        </ul>
        We only collect personal information about you if you voluntarily choose to share it with us. We do not share, rent or sell information concerning users of the Website to third parties 
        in ways other than disclosed in this privacy statement. To use the core functionality of the Website, you must first complete the registration form at the Website and agree to our 
        Terms and Conditions. During registration you will be required to provide personal information such as your name, contact information, and email address. If you choose to share any 
        personal information with the Host, the Host may store it and use it for internal research and marketing purposes, including e-mailing you with special promotions and other programs 
        of interest. 
        <br /><br />
        When you visit the Website, a cookie may be stored on your computer. Generally, cookies work by assigning to your computer a unique number that has no meaning outside of Open Waters. 
        Open Waters' cookies do not contain any personally identifying information; Open Waters uses them to save your access rights - after you’ve entered your member ID and password during 
        a session on the Open Waters website, Open Waters saves that information so you don’t have to re-enter it repeatedly during that session. Most Web browsers automatically accept cookies, 
        but you can usually change your browser to prevent that. Not accepting cookies may make certain features of the Site unavailable to you. 
        The Host may use your IP address to identify you, to administer the Site and to assist in diagnosing server problems.        
        Like most standard Website servers the Website uses log files. This includes internet protocol (IP) addresses, browser type, internet service provider (ISP), referring/exit pages, 
        platform type, date/time stamp, and number of clicks to analyze trends, administer the Website, track user’s movement in the aggregate, and gather broad demographic information for 
        aggregate use. IP addresses, etc. are not linked to personally identifiable information. 
        <br /><br />
        The Host will only share your personal information with third parties for one of these reasons:
        <ul>
            <li>We have your consent</li>
            <li>We determine that it is required to do so by law; such as in response to a court order or subpoena</li>
            <li>We find that you are in breach of these terms and conditions</li>
            <li>We find it necessary to do so to prevent, investigate, detect or prosecute criminal offenses or attacks on the technical integrity of the Website</li>
            <li>We find it necessary to do so to protect the rights, property, or safety of the Host or its employees, the users of the Website, or the public</li>
        </ul>
    </div>
    <div>
        <h3>Termination of Service</h3>
        You agree that the Host may, under certain circumstances and without prior notice, immediately terminate your account and/or access to the Website. Cause for such termination 
        shall include, but not be limited to, (a) breaches or violations of the Terms, (b) requests by law enforcement or other government agencies, 
        (c) a request by you (self-initiated account deletions), (d) discontinuance or material modification to the Website (or any portion thereof), (e) unexpected technical or security 
        issues or problems, (f) extended periods of inactivity. 
        
        Termination of your account may include (i) removal of access to all offerings within the Site, (ii) deletion of your information, files and content associated 
        with or inside your account, and (iii) barring of further use of the Website. Further, you agree that all terminations for cause shall be made in the Host's sole discretion and 
        that the Host shall not be liable to you or any third party for any termination of your account or access to the Website.

        The Service may not be provided indefinitely and may be terminated at the Host's discretion at any time in the future.
    </div>
    <br /><br />
    If you have any questions regarding these Terms, please contact us by email at <asp:Label ID="lblEmail" runat="server"></asp:Label>.
</asp:Content>
